host.today

Docker images for building and serving standard software.

Grasberg, Germany, Europe, Earth, Milky-Way.

ht-docker-node (dbase_dind)

Published 2026-06-07 15:54:10 +00:00 by philkunz in host.today/ht-docker-node

Installation

docker pull code.foss.global/host.today/ht-docker-node:dbase_dind
sha256:9a8882d70141b461583f4f355c3b9f82e8a7b36c56354c60eab8457c3a31988f

Images

Digest OS / Arch Size
beb67b8f5d linux/amd64 705 MiB
326751bf70 linux/arm64 690 MiB

Image Layers ( linux/amd64)

ADD alpine-minirootfs-3.23.4-x86_64.tar.gz / # buildkit
CMD ["/bin/sh"]
RUN /bin/sh -c apk add --no-cache ca-certificates openssh-client git # buildkit
RUN /bin/sh -c [ -e /etc/nsswitch.conf ] && grep '^hosts: files dns' /etc/nsswitch.conf # buildkit
RUN /bin/sh -c set -eux; addgroup -g 2375 -S docker # buildkit
ENV DOCKER_VERSION=29.5.3
RUN /bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-29.5.3.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-29.5.3.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-29.5.3.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-29.5.3.tgz'; ;; *) echo >&2 "error: unsupported 'docker.tgz' architecture ($apkArch)"; exit 1 ;; esac; wget -O 'docker.tgz' "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ --no-same-owner 'docker/docker' ; rm docker.tgz; docker --version # buildkit
ENV DOCKER_BUILDX_VERSION=0.34.1
RUN /bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/buildx/releases/download/v0.34.1/buildx-v0.34.1.linux-amd64'; sha256='f1332ddb9010bd0b72628266c3a906d9a6979848033df4c8d9bd2cd113bae12b'; ;; 'armhf') url='https://github.com/docker/buildx/releases/download/v0.34.1/buildx-v0.34.1.linux-arm-v6'; sha256='1f6c8a082281706a0b9e24b64b9210ca0df5273ceaf600536012e7a62d790538'; ;; 'armv7') url='https://github.com/docker/buildx/releases/download/v0.34.1/buildx-v0.34.1.linux-arm-v7'; sha256='ad4e0938c94638ac882641b924f6eff6889cc59a11f062e733cf337458aa6f35'; ;; 'aarch64') url='https://github.com/docker/buildx/releases/download/v0.34.1/buildx-v0.34.1.linux-arm64'; sha256='c34e32dd6ea2653d960d6c099c9f09b9077e4a37504d2d31e5066eccc3904231'; ;; 'ppc64le') url='https://github.com/docker/buildx/releases/download/v0.34.1/buildx-v0.34.1.linux-ppc64le'; sha256='a509dc17005a4eee3568336d9e2479642e53b31110e039a8f5b4e6079744d0e2'; ;; 'riscv64') url='https://github.com/docker/buildx/releases/download/v0.34.1/buildx-v0.34.1.linux-riscv64'; sha256='c2cf15773a0610e6de34a04e9191b07915d0ea2afb381a37ac87f0dcb213b85a'; ;; 's390x') url='https://github.com/docker/buildx/releases/download/v0.34.1/buildx-v0.34.1.linux-s390x'; sha256='edb0e83d5a2fa8913d0af46385b648408b4776ee3241b4c15f92fcadbc72b550'; ;; *) echo >&2 "warning: unsupported 'docker-buildx' architecture ($apkArch); skipping"; exit 0 ;; esac; wget -O 'docker-buildx' "$url"; echo "$sha256 *"'docker-buildx' | sha256sum -c -; plugin='/usr/local/libexec/docker/cli-plugins/docker-buildx'; mkdir -p "$(dirname "$plugin")"; mv -vT 'docker-buildx' "$plugin"; chmod +x "$plugin"; docker buildx version # buildkit
ENV DOCKER_COMPOSE_VERSION=5.1.4
RUN /bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/compose/releases/download/v5.1.4/docker-compose-linux-x86_64'; sha256='33b208d7e76639db742fae84b966cc01dacae58ca3fc4dabbc907045aefdf0c4'; ;; 'armhf') url='https://github.com/docker/compose/releases/download/v5.1.4/docker-compose-linux-armv6'; sha256='38c8b500e75de30707024db9d135af979f4fdf6b9bae82b7a854b17eddad1205'; ;; 'armv7') url='https://github.com/docker/compose/releases/download/v5.1.4/docker-compose-linux-armv7'; sha256='5cce4229012b8b18067fba078c9ec4e2a5dd47cb4cb3a0cc3d431f6fc429060f'; ;; 'aarch64') url='https://github.com/docker/compose/releases/download/v5.1.4/docker-compose-linux-aarch64'; sha256='d4fb48b72857810314d3ee77123c89954101844efa4788031221f4c370495946'; ;; 'ppc64le') url='https://github.com/docker/compose/releases/download/v5.1.4/docker-compose-linux-ppc64le'; sha256='044a5a6eac8ba3b686e5ad74d529293372eb6d8553685738fe93ae6a6fd92790'; ;; 'riscv64') url='https://github.com/docker/compose/releases/download/v5.1.4/docker-compose-linux-riscv64'; sha256='03565cf8e16b3afa6fd6555d697b3237ea2d4dbd5547ab6835bc90fa7e5e00bb'; ;; 's390x') url='https://github.com/docker/compose/releases/download/v5.1.4/docker-compose-linux-s390x'; sha256='5bd0db672b07bb86272e84bbddd286f42fe9b84080e4d47ad3a91a84bd8c2c3d'; ;; *) echo >&2 "warning: unsupported 'docker-compose' architecture ($apkArch); skipping"; exit 0 ;; esac; wget -O 'docker-compose' "$url"; echo "$sha256 *"'docker-compose' | sha256sum -c -; plugin='/usr/local/libexec/docker/cli-plugins/docker-compose'; mkdir -p "$(dirname "$plugin")"; mv -vT 'docker-compose' "$plugin"; chmod +x "$plugin"; ln -sv "$plugin" /usr/local/bin/; docker-compose --version; docker compose version # buildkit
COPY modprobe.sh /usr/local/bin/modprobe # buildkit
COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
ENV DOCKER_TLS_CERTDIR=/certs
RUN /bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client # buildkit
ENTRYPOINT ["docker-entrypoint.sh"]
CMD ["sh"]
RUN /bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra git ip6tables iptables openssl pigz shadow-uidmap xfsprogs xz zfs ; # buildkit
RUN /bin/sh -c set -eux; apk add --no-cache iptables-legacy; mkdir -p /usr/local/sbin/.iptables-legacy; for f in iptables iptables-save iptables-restore ip6tables ip6tables-save ip6tables-restore ; do b="$(command -v "${f/tables/tables-legacy}")"; "$b" --version; ln -svT "$b" "/usr/local/sbin/.iptables-legacy/$f"; done; export PATH="/usr/local/sbin/.iptables-legacy:$PATH"; iptables --version | grep legacy # buildkit
RUN /bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid # buildkit
RUN /bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-29.5.3.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-29.5.3.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-29.5.3.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-29.5.3.tgz'; ;; *) echo >&2 "error: unsupported 'docker.tgz' architecture ($apkArch)"; exit 1 ;; esac; wget -O 'docker.tgz' "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ --no-same-owner --exclude 'docker/docker' ; rm docker.tgz; dockerd --version; containerd --version; ctr --version; runc --version # buildkit
ENV DIND_COMMIT=8d9e3502aba39127e4d12196dae16d306f76993d
RUN /bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind # buildkit
COPY dockerd-entrypoint.sh /usr/local/bin/ # buildkit
VOLUME [/var/lib/docker]
EXPOSE map[2375/tcp:{} 2376/tcp:{}]
ENTRYPOINT ["dockerd-entrypoint.sh"]
CMD []
LABEL author=Task Venture Capital GmbH <hello@task.vc>
WORKDIR /workspace
ENV NODE_VERSION_LTS=24.13.0 NVM_DIR=/usr/local/nvm PNPM_HOME=/root/.local/share/pnpm NVM_NODEJS_ORG_MIRROR=https://unofficial-builds.nodejs.org/download/release
RUN /bin/sh -c apk add --no-cache bash curl git openssl ca-certificates wget unzip build-base python3 python3-dev py3-pip linux-headers libgcc libstdc++ libc6-compat gnupg libffi-dev openssl-dev libc-dev iputils bind-tools tini # buildkit
RUN /bin/sh -c mkdir -p $NVM_DIR && curl -fsSL https://raw.githubusercontent.com/nvm-sh/nvm/v0.40.1/install.sh | bash # buildkit
RUN /bin/sh -c printf '%s\n%s\n%s\n' 'export NVM_DIR="/usr/local/nvm"' '[ -s "$NVM_DIR/nvm.sh" ] && . "$NVM_DIR/nvm.sh"' '[ -s "$NVM_DIR/bash_completion" ] && . "$NVM_DIR/bash_completion"' > /etc/bash.bashrc # buildkit
COPY image_support_files/bash-with-nvm /usr/local/bin/bash-with-nvm # buildkit
COPY image_support_files/docker-entrypoint.sh /usr/local/bin/docker-entrypoint.sh # buildkit
COPY image_support_files/configure-pnpm-defaults /usr/local/bin/configure-pnpm-defaults # buildkit
RUN /bin/sh -c chmod +x /usr/local/bin/bash-with-nvm /usr/local/bin/docker-entrypoint.sh /usr/local/bin/configure-pnpm-defaults # buildkit
SHELL [/usr/local/bin/bash-with-nvm]
ENV BASH_ENV=/etc/bash.bashrc
RUN /usr/local/bin/bash-with-nvm mkdir -p ${PNPM_HOME} # buildkit
ENV PATH=/root/.local/share/pnpm:/root/.local/share/pnpm/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
ARG TARGETARCH=amd64
RUN |1 TARGETARCH=amd64 /usr/local/bin/bash-with-nvm NVM_MUSL_ARCH=$([ "$TARGETARCH" = "arm64" ] && echo "arm64-musl" || echo "x64-musl") && nvm_get_arch() { echo "$NVM_MUSL_ARCH"; } && nvm install $NODE_VERSION_LTS && nvm alias default $NODE_VERSION_LTS && nvm use default && corepack enable && corepack prepare pnpm@11.5.2 --activate && pnpm -v && configure-pnpm-defaults && pnpm install -g @ship.zone/szci@7.1.4 # buildkit
RUN |1 TARGETARCH=amd64 /usr/local/bin/bash-with-nvm curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- -y # buildkit
ENV PATH=/root/.cargo/bin:/root/.local/share/pnpm:/root/.local/share/pnpm/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
ENV NODE_PATH=/usr/local/nvm/versions/node/v24.13.0/lib/node_modules
ENV PATH=/usr/local/nvm/versions/node/v24.13.0/bin:/root/.cargo/bin:/root/.local/share/pnpm:/root/.local/share/pnpm/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
ENTRYPOINT ["/sbin/tini" "--" "/usr/local/bin/docker-entrypoint.sh"]
CMD ["bash"]

Labels

Key Value
author Task Venture Capital GmbH <hello@task.vc>
Details
Container
2026-06-07 15:54:10 +00:00
2
OCI / Docker
Versions (11) View all
lts 2026-06-07
szci 2026-06-07
dbase_dind 2026-06-07
dbase 2026-06-07